#ifndef EXTERN_NOTE_LIST_H
#define EXTERN_NOTE_LIST_H

extern void sticky_note_add(sticky_base *, sticky_note *);
extern void sticky_note_del(sticky_note *);

extern void sticky_note_do_inorder(int (*) (sticky_note *, va_list),
                                   sticky_base *, ...);
extern void sticky_note_do_inorder_hidden(int (*) (sticky_note *, va_list),
                                          sticky_base *, ...);
extern void sticky_note_do_cronorder(int (*) (sticky_note *, va_list),
                                     sticky_base *, ...);

#endif
